local stages = Def.ActorFrame {
};

for _, s in ipairs(Stage) do
 	if s == "Stage_Normal" then
		stages[#stages+1] = LoadFont("Common Normal") .. {
			InitCommand=cmd(shadowlength,1;diffusebottomedge,cBlue);
			OnCommand=cmd(diffusealpha,0;linear,1;diffusealpha,1;sleep,1;playcommand,"Off");
			OffCommand=cmd(accelerate,0.5;zoomy,0);
			SetCommand=function(self, params)
				self:visible( params.StageToShow == s );
				if params.StageNumber then
					self:settext( FormatNumberAndSuffix(params.StageNumber+1) .. " STAGE" );
				end
			end;
		}
	else
		stages[#stages+1] = LoadActor("_stage " .. s) .. {
			SetCommand=function(self, params)
				self:visible( params.StageToShow == s );
			end;
		}
	end 
--[[ 	stages[#stages+1] = LoadFont("Common Normal") .. {
		InitCommand=cmd(shadowlength,1;diffusebottomedge,cBlue);
		OnCommand=cmd(diffusealpha,0;linear,1;diffusealpha,1;sleep,1;playcommand,"Off");
		OffCommand=cmd(spring,0.5;zoomy,0);
		SetCommand=function(self, params)
			self:visible( params.StageToShow == s );
			if params.StageNumber then
				self:settext( FormatNumberAndSuffix(params.StageNumber+1) );
			end
		end;
	}; --]]
end

return stages;
